> For the complete documentation index, see [llms.txt](https://docs.channel360.co.za/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.channel360.co.za/api-usage/using-the-channel360-v1.1-api/templates/update-templates.md).

# Update Templates

### List of all fields that can be updated

<table><thead><tr><th>Name</th><th width="320">Type</th></tr></thead><tbody><tr><td><code>description</code></td><td><code>string</code></td></tr><tr><td><code>namespace</code></td><td><code>string</code></td></tr><tr><td><code>enabled</code></td><td><code>boolean</code></td></tr><tr><td><code>tags</code></td><td> <code>object</code> (head &#x26; body)</td></tr></tbody></table>

{% hint style="danger" %}
❗ **You cannot update components or the template’s structure.**
{% endhint %}

#### Important Notes About Updating Templates

* Only certain fields can be updated (mentioned in the table above).
* The template **structure cannot be changed** components such as header, body, footer, and buttons are fixed after creation.
* You only need to send the fields you want to update; all other fields remain unchanged.
* Updates only affect **new campaigns**. Any campaign that was already created will continue using the original template version.

## Update Template

<mark style="color:blue;">PUT</mark>  `https://www.channel360.co.za/v1.1/templates/{{templateId}}`

{% tabs %}
{% tab title="Request Body" %}

```json
{
  "tags": {
    "head": [
      {
        "index": 1,
        "type": "document",
        "url": "https://www.w3.org/WAI/ER/tests/xhtml/testfiles/resources/pdf/dummy.pdf"
      }
    ],
    "body": [],
    "buttons": []
  },
  "description": "Updated template description",
  "enabled": true
}

```

{% endtab %}

{% tab title="Response Example" %}

```json
{
    "organization": "67ea68df674ce7a1b7002b75",
    "description": "Updated template description",
    "namespace": "",
    "status": "APPROVED",
    "enabled": true,
    "category": "UTILITY",
    "name": "document_info_template",
    "language": "en_US",
    "components": [
        {
            "type": "HEADER",
            "format": "DOCUMENT",
            "buttons": []
        },
        {
            "type": "BODY",
            "text": "Hi {{1}}, please review the attached document. Tap below to confirm receipt.",
            "buttons": []
        },
        {
            "type": "FOOTER",
            "text": "Thank you!",
            "buttons": []
        },
        {
            "type": "BUTTONS",
            "buttons": [
                {
                    "type": "QUICK_REPLY",
                    "text": "Received"
                },
                {
                    "type": "QUICK_REPLY",
                    "text": "Need Help"
                }
            ]
        }
    ],
    "tags": {
        "head": [
            {
                "index": 1,
                "type": "document",
                "url": "https://www.w3.org/WAI/ER/tests/xhtml/testfiles/resources/pdf/dummy.pdf"
            }
        ],
        "body": [],
        "buttons": []
    },
    "messageTemplateId": "713692131399975",
    "createdAt": "2025-12-11T14:27:53.536Z",
    "updatedAt": "2025-12-12T06:19:34.201Z",
    "version": 1,
    "id": "693ad4e9b0bdf3137d2e2908"
}
```

{% endtab %}
{% endtabs %}

## Update Template (CSV)

{% tabs %}
{% tab title="Request Body" %}

```json
{
    "tags": {
        "head": [
            {
                "index": 1,
                "type": "document",
                "url": "https://www.w3.org/TR/PNG/iso_8859-1.csv"
            }
        ],
        "body": [],
        "buttons": []
    },
    "description": "Updated CSV template",
    "enabled": true
}
```

{% endtab %}

{% tab title="Response Example" %}

```json
{
    "organization": "67ea68df674ce7a1b7002b75",
    "description": "Updated CSV template",
    "namespace": "",
    "status": "APPROVED",
    "enabled": true,
    "category": "UTILITY",
    "name": "document_info_template",
    "language": "en_US",
    "components": [
        {
            "type": "HEADER",
            "format": "DOCUMENT",
            "buttons": []
        },
        {
            "type": "BODY",
            "text": "Hi {{1}}, please review the attached document. Tap below to confirm receipt.",
            "buttons": []
        },
        {
            "type": "FOOTER",
            "text": "Thank you!",
            "buttons": []
        },
        {
            "type": "BUTTONS",
            "buttons": [
                {
                    "type": "QUICK_REPLY",
                    "text": "Received"
                },
                {
                    "type": "QUICK_REPLY",
                    "text": "Need Help"
                }
            ]
        }
    ],
    "tags": {
        "head": [
            {
                "index": 1,
                "type": "document",
                "url": "https://www.w3.org/TR/PNG/iso_8859-1.csv"
            }
        ],
        "body": [],
        "buttons": []
    },
    "messageTemplateId": "713692131399975",
    "createdAt": "2025-12-11T14:27:53.536Z",
    "updatedAt": "2025-12-12T06:24:22.759Z",
    "version": 2,
    "id": "693ad4e9b0bdf3137d2e2908"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.channel360.co.za/api-usage/using-the-channel360-v1.1-api/templates/update-templates.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
